sequence.sequence

## Class RealReorganizableSequenceFactory

- java.lang.Object
- - sequence.sequence.RealReorganizableSequenceFactory

- All Implemented Interfaces:
    ReorganizableSequenceFactory

      public class RealReorganizableSequenceFactory
      extends java.lang.Object
      implements ReorganizableSequenceFactory

  Továrna na reorganizovatelné posloupnosti.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ListFactory` | `listFactory` Továrna na seznamy.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealReorganizableSequenceFactory(ListFactory aListFactory)` Vyrobí továrnu na reorganizovatelné posloupnosti.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReorganizableSequence` | `createReorganizableSequence(int size)` Vyrobí reorganizovatelnou posloupnost.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listFactory

          private ListFactory listFactory

      Továrna na seznamy. Seznam slouží jako úložiště, zapouzdří se do posloupnosti.

  - ### Constructor Detail

    - #### RealReorganizableSequenceFactory

          public RealReorganizableSequenceFactory(ListFactory aListFactory)

      Vyrobí továrnu na reorganizovatelné posloupnosti.
      Parameters:
        `aListFactory` - továrna na seznamy

  - ### Method Detail

    - #### createReorganizableSequence

          public ReorganizableSequence createReorganizableSequence(int size)

      Description copied from interface: `ReorganizableSequenceFactory`
      Vyrobí reorganizovatelnou posloupnost.
      Specified by:
        `createReorganizableSequence` in interface `ReorganizableSequenceFactory`
      Parameters:
        `size` - požadovaná kapacita posloupnosti
      Returns:
        nová reorganizovatelná posloupnost implementovaná dvojicí zásobníků